package net.wanji.web;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author
 */
@SpringBootApplication(scanBasePackages = "net.wanji.web")
@MapperScan(basePackages = "net.wanji.web.mapper")
@EnableTransactionManagement
@EnableScheduling
@EnableAsync
//@EnableFeignClients(basePackages = "net.wanji.feign.service")
public class SignalApplication {

    public static void main(String[] args) {
        SpringApplication.run(SignalApplication.class, args);
    }
}

