package net.wanji.web.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/01/03 15:46
 */
@Data
@TableName("t_device_status")
public class TDeviceStatusInfo {
    @ApiModelProperty(value = "id")
    private Integer id;
    @ApiModelProperty(value = "设备代码")
    private String code;
    @ApiModelProperty(value = "设备名称")
    private String name;
    @ApiModelProperty(value = "设备类型：1信号；2卡口；3地磁；4视频；5微波；6激光；7电警；8 MEC")
    private int type;
    @ApiModelProperty(value = "设备状态：0离线；1在线；")
    private int status;
    @ApiModelProperty(value = "信号机故障类型：0正常；1检测器故障；2时钟故障；3电源故障；4驱动模块故障；5信号灯故障；6箱门开启；7方案错误；8绿冲突；9红全熄；10行人红熄；",notes = "")
    private int faultType ;
    @ApiModelProperty(value = "创建时间")
    private Date gmtCreate ;
}
