package net.wanji.web.mapper.scheme;

import io.lettuce.core.dynamic.annotation.Param;
import net.wanji.web.po.scheme.CrossDirInfoPO;
import org.springframework.stereotype.Repository;

/**
 * @author Kent HAN
 * @date 2022/12/20 10:32
 */
@Repository
public interface CrossDirInfoMapper {
    void deleteInByDirType(@Param("crossId") String crossId, @Param("dir") Integer dir);

    void insertOne(CrossDirInfoPO crossDirInfoPO);

    void updateIsPedestrian(@Param("isPersonCross") Integer isPersonCross, @Param("id") String id);

    CrossDirInfoPO selectByCrossIdAndDirType(@Param("crossId") String crossId, @Param("dirType") Integer dirType);
}
