package net.wanji.web.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class DirListElement {
    @ApiModelProperty(value = "车道进口方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北", required = true)
    private Integer dir;
    @ApiModelProperty(value = "是否有行人过街：0否；1是", required = true)
    private Integer isPersonCross;
    private List<LaneListElement> laneList;
    @ApiModelProperty(value = "一次过街：oneCross， 出口二次过街：twiceCrossOut  进口二次过街：twiceCrossIn", required = true)
    private String personCrossType;
    @ApiModelProperty(value = "一次过街灯组代码", required = true)
    private String oneCross;
    @ApiModelProperty(value = "出口二次过街灯组代码", required = true)
    private String twiceCrossOut;
    @ApiModelProperty(value = "进口二次过街灯组代码", required = true)
    private String twiceCrossIn;
}