package net.wanji.web.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class LaneListElement {
    @ApiModelProperty(value = "车道ID（路口ID_方向_车道类型_序号）", required = true)
    private String id;
    @ApiModelProperty(value = "0无方向 箭头 1:直行2:左转,3:右转,4:掉头,5：左直,6:右直,7:左转掉头,8:左直掉头, 9:左直右, 10:左右转 11:左弯 12:右弯", required = true)
    private Integer direction;
    @ApiModelProperty(value = "车道代码", required = true)
    private String name;
    @ApiModelProperty(value = "1机动车；2非机动车；3公交专用；4可变；5潮汐", required = true)
    private Integer laneType;
    @ApiModelProperty(value = "灯组代码", required = true)
    private String ledNum;
}