package net.wanji.web.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/12/20 10:17
 */
@NoArgsConstructor
@Data
public class SaveLaneInfoDTO {
    @ApiModelProperty(value = "路口ID，如：c7e7b1f352dd4acab4a60088eb391cca", required = true)
    private String crossId;
    private List<LedConfigListElement> ledConfigList;
    private List<DirListElement> dirList;
}
