package net.wanji.web.mapper.scheme;

import io.lettuce.core.dynamic.annotation.Param;
import net.wanji.web.po.scheme.CrossPhasePO;
import org.springframework.stereotype.Repository;

/**
 * 相位基础信息;(t_base_cross_phase)表数据库访问层
 * @author : hanbing
 * @date : 2023-1-3
 */
@Repository
public interface CrossPhaseMapper {

    Integer selectIdByCrossIdAndPhaseNo(@Param("crossId") String crossId,
                                        @Param("schemeId") Integer schemeId,
                                        @Param("coordPhaseNo") String coordPhaseNo);

    void insertOne(CrossPhasePO crossPhasePO);

    void deleteByCrossId(@Param("crossId") String crossId);
}
